package cc.fascinated.bat.afk;

import cc.fascinated.bat.common.feature.Feature;
import cc.fascinated.bat.common.feature.FeatureProfile;
import cc.fascinated.bat.afk.command.AfkCommand;
import cc.fascinated.bat.service.OldCommandService;
import lombok.NonNull;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
public class AfkFeature extends Feature {
    public AfkFeature(@NonNull ApplicationContext context, @NonNull OldCommandService commandService) {
        super("AFK", FeatureProfile.FeatureState.DISABLED, true);

        registerCommand(commandService, context.getBean(AfkCommand.class));
    }
}
