package cc.fascinated.bat.autorole;

import cc.fascinated.bat.common.feature.Feature;
import cc.fascinated.bat.common.feature.FeatureProfile;
import cc.fascinated.bat.autorole.command.AutoRoleCommand;
import cc.fascinated.bat.service.OldCommandService;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
public class AutoRoleFeature extends Feature {
    @Autowired
    public AutoRoleFeature(@NonNull ApplicationContext context, @NonNull OldCommandService commandService) {
        super("Auto Role", FeatureProfile.FeatureState.DISABLED, true);

        registerCommand(commandService, context.getBean(AutoRoleCommand.class));
    }
}
