package cc.fascinated.bat.counter;

import cc.fascinated.bat.common.feature.Feature;
import cc.fascinated.bat.common.feature.FeatureProfile;
import cc.fascinated.bat.counter.command.CounterCommand;
import cc.fascinated.bat.service.OldCommandService;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
public class CounterFeature extends Feature {
    @Autowired
    public CounterFeature(@NonNull ApplicationContext context, @NonNull OldCommandService commandService) {
        super("Counter", FeatureProfile.FeatureState.DISABLED, true);

        super.registerCommand(commandService, context.getBean(CounterCommand.class));
    }
}
