package cc.fascinated.bat.welcomer;

import cc.fascinated.bat.common.feature.Feature;
import cc.fascinated.bat.common.feature.FeatureProfile;
import cc.fascinated.bat.welcomer.command.WelcomerCommand;
import cc.fascinated.bat.service.OldCommandService;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
public class WelcomerFeature extends Feature {
    @Autowired
    public WelcomerFeature(@NonNull ApplicationContext context, @NonNull OldCommandService commandService) {
        super("Welcomer", FeatureProfile.FeatureState.DISABLED, true);

        super.registerCommand(commandService, context.getBean(WelcomerCommand.class));
    }
}
